Skip to content

Telemetry Data Metrics.

POST
/api/data/namespaces/system/billing/usage_details
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/billing/usage_details \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "filters": [ { "label_filters": [ { "label": "LABEL_NONE", "op": "EQ", "value": "example" } ], "usage_type": "TENANT_INFO" } ], "start_time": "example", "step": "example" }'

GET the billing usage details for each feature over the specified duration.

Examples of this operation.

Media typeapplication/json
Billing Usage Details Request

Request to GET billing usage details for the given tenant.

object
end_time
End time

End time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+1h If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
filters
Name

List of usage_type queries and the corresponding object/namespace filters.

Array<object>
Usage Data Filter

Usage Data Filter represents the usage type query and the corresponding filters like object, namespace.

object
label_filters
label_filter

List of label filter expressions of the form “label key” QueryOp “value” related to the usage_type. Response will only contain data that matches all the conditions specified in the label_filter. Filters corresponding to objects with default names like “CE Mesh Node - Medium” will be ignored.

Optional: If not specified, glr status data for all global log receiver objects will be returned in the response.

Array<object>
<= 100 items
Label Filter

X-example: {“label”:LABEL_OBJECT_NAME,“op”:EQ,“value”:“CE-01”} Metrics used in the billing usage are tagged with labels listed in the enum Label. Label Filter is used to filter the timeseries that match the specified label key/value and the operator.

object
label
string
default: LABEL_NONE
Allowed values: LABEL_NONE LABEL_OBJECT_NAME LABEL_NAMESPACE
op
string
default: EQ
Allowed values: EQ NEQ
value
Value

Value of the label.

string
>= 3 characters <= 1024 characters
usage_type
string
default: TENANT_INFO
Allowed values: TENANT_INFO RE_CONTAINER_FLAVOR_LARGE_USAGE RE_CONTAINER_FLAVOR_MEDIUM_USAGE RE_CONTAINER_FLAVOR_TINY_USAGE PUBLIC_IP_USAGE CE_MESH_NODE_SMALL_USAGE CE_MESH_NODE_MEDIUM_USAGE CE_MESH_NODE_LARGE_USAGE CE_STACK_NODE_SMALL_USAGE CE_STACK_NODE_MEDIUM_USAGE CE_STACK_NODE_LARGE_USAGE DNS_LOAD_BALANCER_USAGE DNS_LOAD_BALANCER_HEALTHCHECK_USAGE DNS_ZONE_USAGE CE_TO_RE_TRAFFIC_USAGE RE_API_SEC_GOOD_REQUESTS CE_API_SEC_GOOD_REQUESTS SYNTHETIC_MONITOR_INVOCATIONS_USAGE PUBLIC_LOAD_BALANCER_USAGE RE_APP_FW_USAGE CE_APP_FW_USAGE TENANT_PLAN_USAGE TENANT_LOGINS_COUNT API_DISCOVERY_LOAD_BALANCER_USAGE API_PROTECTIONS_GOOD_REQUESTS TENANT_OBJECT_USAGE FAST_ACL_IP_PREFIX_USAGE GOOD_REQUESTS_TO_ORIGIN_USAGE TENANT_ADDON_SERVICE_INFO CLIENT_SIDE_DEFENSE_TRANSACTIONS RE_WAF_REQUESTS LMA_REGION_USAGE GLR_SENT_LOGS GLR_SENT_LOGS_BYTES RE_RLIM_GOOD_REQUESTS PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_NA PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_EU PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_AS PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_SA PUBLIC_RE_CDN_REQUEST_USAGE_NA PUBLIC_RE_CDN_REQUEST_USAGE_EU PUBLIC_RE_CDN_REQUEST_USAGE_AS PUBLIC_RE_CDN_REQUEST_USAGE_SA DNSSEC_ZONE_USAGE ADVANCED_DNS_LOAD_BALANCER_USAGE DNS_LOAD_BALANCER_CNAME_POOL_HEALTH_CHECK_USAGE DNS_LOAD_BALANCER_CNAME_POOL_PRIORITY_ALGORITHM_USAGE
start_time
Start time

Start time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-1h If end_time is not specified, then the start_time will be evaluated to -1h.

string
<= 1024 characters
step
Step

Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Optional: If not specified, then step size is evaluated to <end_time - start_time>

string
<= 1024 characters

A successful response.

Media typeapplication/json
Billing Usage Response

Billing Usage Response.

object
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
usage_data
Telemetry Data

Data contains time-series data for the billing usage.

Array<object>
Usage Data

Usage data contains the usage type and the corresponding metric values.

object
metric_values
Value

List of metric values.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
name
x-displayName: "Name" x-example: "RE – Container – Large (1 vCPU) – Count"

Human-readable name for the resource

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
namespace
x-displayName: "Namespace" x-example: "{system, default"}" Name of the data field

Name of the data field.

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
obj_name
x-displayName: "Object Name" x-example: "{site-1, vh-1"}" Name of the data field

Name of the data field.

string
<= 1024 characters
unit
Unit

Name of the quantity unit.

string
<= 1024 characters
usage_type
string
default: TENANT_INFO
Allowed values: TENANT_INFO RE_CONTAINER_FLAVOR_LARGE_USAGE RE_CONTAINER_FLAVOR_MEDIUM_USAGE RE_CONTAINER_FLAVOR_TINY_USAGE PUBLIC_IP_USAGE CE_MESH_NODE_SMALL_USAGE CE_MESH_NODE_MEDIUM_USAGE CE_MESH_NODE_LARGE_USAGE CE_STACK_NODE_SMALL_USAGE CE_STACK_NODE_MEDIUM_USAGE CE_STACK_NODE_LARGE_USAGE DNS_LOAD_BALANCER_USAGE DNS_LOAD_BALANCER_HEALTHCHECK_USAGE DNS_ZONE_USAGE CE_TO_RE_TRAFFIC_USAGE RE_API_SEC_GOOD_REQUESTS CE_API_SEC_GOOD_REQUESTS SYNTHETIC_MONITOR_INVOCATIONS_USAGE PUBLIC_LOAD_BALANCER_USAGE RE_APP_FW_USAGE CE_APP_FW_USAGE TENANT_PLAN_USAGE TENANT_LOGINS_COUNT API_DISCOVERY_LOAD_BALANCER_USAGE API_PROTECTIONS_GOOD_REQUESTS TENANT_OBJECT_USAGE FAST_ACL_IP_PREFIX_USAGE GOOD_REQUESTS_TO_ORIGIN_USAGE TENANT_ADDON_SERVICE_INFO CLIENT_SIDE_DEFENSE_TRANSACTIONS RE_WAF_REQUESTS LMA_REGION_USAGE GLR_SENT_LOGS GLR_SENT_LOGS_BYTES RE_RLIM_GOOD_REQUESTS PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_NA PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_EU PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_AS PUBLIC_RE_CDN_DATA_TRANSFER_USAGE_SA PUBLIC_RE_CDN_REQUEST_USAGE_NA PUBLIC_RE_CDN_REQUEST_USAGE_EU PUBLIC_RE_CDN_REQUEST_USAGE_AS PUBLIC_RE_CDN_REQUEST_USAGE_SA DNSSEC_ZONE_USAGE ADVANCED_DNS_LOAD_BALANCER_USAGE DNS_LOAD_BALANCER_CNAME_POOL_HEALTH_CHECK_USAGE DNS_LOAD_BALANCER_CNAME_POOL_PRIORITY_ALGORITHM_USAGE
Example
{
"usage_data": [
{
"metric_values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"usage_type": "TENANT_INFO"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example